Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
xdd

chèn block mong a e giúp đỡ

Các bài được khuyến nghị

có 2 cách:

1-Bạn thay đổi kích thước "gốc" của block là dùng lệnh REFEDIT sửa kích thước của block thành 600x600

2-chọn tất cả các block 350x350 rồi chỉnh giá trị Scale X, Sc Y, Sc Z trong bảng Properties (nhấn Ctrl+1), block hiện tại là 350x350 vì vậy bạn nhập vào SCale X,Y,Z là 600/350

P/s để chọn tất cả các dt giống nhau bạn có thể dùng lisp sau:

 
(defun c:sw(/ aaa ls na lay a2 dt dt1 sdt sdt1 ent ent1 id id1)
 (setq AAA(SSGET))
 (setq sdt (sslength AAA))
 (setq id 0)
 (setq dt (ssadd))
(repeat sdt
 (setq ent (ssname AAA id)
id (1+ id)
)
 (setq ls (entget ent))
 (setq na (cdr(assoc 0 ls))
lay (cdr(assoc 8 ls))
)
 (if (= na "INSERT")
(setq a2 (cdr(assoc 2 ls))
 	dt1(ssget"all"(list(cons 0  na) (cons 8 lay) (cons 2 a2)))
)
(setq dt1(ssget"all"(list(cons 0  na) (cons 8 lay))))
)
(setq sdt1 (sslength dt1))
(setq id1 0)
(repeat sdt1
 (setq ent1 (ssname dt1 id1))
 (setq id1 (1+ id1))
 (setq dt (ssadd ent1 dt))
 )
)
 (sssetfirst dt dt)
(princ)
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×